--AH:ScriptId=2d717c96-831a-401a-9771-03e98b5d198f;246
ALTER TABLE [ReleaseDeployables]
  ADD [Referenced_Application_Id] INT NULL
GO

ALTER TABLE [ReleaseDeployables]
  DROP CONSTRAINT [FK__ReleaseDeployables__Releases_Referenced]
    
/* for all existing referenced releases, ensure that the referenced 
application id is set to the current application id*/
UPDATE [ReleaseDeployables]
   SET [Referenced_Application_Id] = [Application_Id]
 WHERE [InclusionType_Code] = 'R'
GO

/* the deployable should not be cross-application if it's included with the release! */
ALTER TABLE [ReleaseDeployables]
  ADD CONSTRAINT [CK__ReleaseDeployables__ReferencedApplication]
    CHECK ( ([InclusionType_Code] = 'I' AND [Referenced_Application_Id] IS NULL)
           OR ([InclusionType_Code] = 'R' AND [Referenced_Application_Id] IS NOT NULL) ),
  CONSTRAINT [FK__ReleaseDeployables__Releases_Referenced]
        FOREIGN KEY ([Referenced_Application_Id],[Referenced_Release_Number])
        REFERENCES [Releases] ([Application_Id],[Release_Number])
GO