--AH:ScriptId=F76D6F1E-6B95-48E1-9852-8AD548486E23

CREATE TABLE [RepositoryMonitors]
(
	[RepositoryMonitor_Id] INT IDENTITY(1,1) NOT NULL,
	[RepositoryMonitor_Name] NVARCHAR(255) NOT NULL,
	[Application_Id] INT NULL,
	[ApplicationGroup_Id] INT NULL,
	[RepositoryMonitor_Configuration] XML NOT NULL,
	[CronExpression_Text] VARCHAR(50) NOT NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,
	[ExecuteOn_Server_Id] INT NULL,
	[Plan_Name] VARCHAR(255) NULL,
	[BranchFilter_Text] VARCHAR(255) NULL,

	CONSTRAINT [PK__RepositoryMonitors]
		PRIMARY KEY ([RepositoryMonitor_Id]),

	CONSTRAINT [FK__RepositoryMonitors__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__RepositoryMonitors__ApplicationGroups]
		FOREIGN KEY ([ApplicationGroup_Id])
		REFERENCES [ApplicationGroups] ([ApplicationGroup_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__RepositoryMonitors__Servers]
		FOREIGN KEY ([ExecuteOn_Server_Id])
		REFERENCES [Servers] ([Server_Id])
		ON DELETE SET NULL,

	CONSTRAINT [UQ__RepositoryMonitors]
		UNIQUE ([RepositoryMonitor_Name])
)

CREATE TABLE [RepositoryMonitorStates]
(
	[RepositoryMonitor_Id] INT NOT NULL,
	[Application_Id] INT NOT NULL,
	[Branch_Name] VARCHAR(200) NOT NULL,
	[RepositoryState_Configuration] XML NOT NULL,
	[LastUpdated_Date] DATETIME NOT NULL,

	CONSTRAINT [PK__RepositoryMonitorStates]
		PRIMARY KEY ([RepositoryMonitor_Id], [Application_Id], [Branch_Name]),

	CONSTRAINT [FK__RepositoryMonitorStates__RepositoryMonitors]
		FOREIGN KEY ([RepositoryMonitor_Id])
		REFERENCES [RepositoryMonitors] ([RepositoryMonitor_Id])
		ON DELETE CASCADE
)
