--AH:ScriptId=c5f3c710-f81b-431f-8575-5a3ede273a5f

DELETE [SetupTemplates]
 WHERE [SetupTemplate_Name] IN ('Inedo.Jenkins', 'Inedo.TeamCity', 'Inedo.GitLab', 'Inedo.GitHub')
GO

INSERT INTO [SetupTemplates] ([SetupTemplate_Name], [Active_Indicator], [SetupTemplate_Configuration])
VALUES (
	'Inedo.GitHub',
	'Y',
	CAST('<Inedo.BuildMaster.SetupTemplates.SetupTemplate Assembly="BuildMaster">
  <Properties Title="GitHub CI/CD Application" Description="This Inedo-developed template provides you with quick access to recommended settings for an application using CI/CD with GitHub for source control and issue tracking. ">
    <RequiredExtensions>
      <Item>GitHub</Item>
      <Item>Windows SDK</Item>
    </RequiredExtensions>
    <Settings>
      <Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting Assembly="BuildMaster">
        <Properties CredentialType="GitHub" SettingName="GitHub Connection" SettingPurpose="provide credentials, organization name, and repository name to connect to GitHub.com, or a custom URL to connect to a private GitHub server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting Assembly="BuildMaster">
        <Properties PipelineName="Release" SettingPurpose="get source by configured branch, build and test artifacts, deploy to a series of targets on-demand or automatically once approvals are received, and create a tag in the repository" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting Assembly="BuildMaster">
        <Properties ReleaseTemplateName="Default" SettingName="Variable Prompts" SettingPurpose="prompt for additional configuration such as a $Branch when creating BuildMaster builds or releases" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Build" SettingPurpose="get source code by branch from GitHub, run unit tests, and create artifacts" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Deploy" SettingPurpose="deploy artifacts to the targets configured in the pipeline" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Tag" SettingPurpose="add a tag to the commit" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.BuildTriggerSetting Assembly="BuildMaster">
        <Properties BuildTriggerName="GitHub" SettingPurpose="automatically trigger a build in the application when a commit gets pushed to a GitHub repository" />
      </Inedo.BuildMaster.SetupTemplates.Settings.BuildTriggerSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.IssueSourceSetting Assembly="BuildMaster">
        <Properties IssueSourceName="*" SettingPurpose="synchronize issues associated with the release, either from GitHub or another source" />
      </Inedo.BuildMaster.SetupTemplates.Settings.IssueSourceSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ConfigurationFileSetting Assembly="BuildMaster">
        <Properties ConfigurationFileName="*" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ConfigurationFileSetting>
    </Settings>
  </Properties>
</Inedo.BuildMaster.SetupTemplates.SetupTemplate>' AS XML)
)

INSERT INTO [SetupTemplates] ([SetupTemplate_Name], [Active_Indicator], [SetupTemplate_Configuration])
VALUES (
	'Inedo.GitLab',
	'Y',
	CAST('<Inedo.BuildMaster.SetupTemplates.SetupTemplate Assembly="BuildMaster">
  <Properties Title="GitLab CI/CD Application" Description="This Inedo-developed template provides you with quick access to recommended settings for an application using CI/CD with GitLab for source control and issue tracking.">
    <RequiredExtensions>
      <Item>GitLab</Item>
      <Item>Windows SDK</Item>
    </RequiredExtensions>
    <Settings>
      <Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting Assembly="BuildMaster">
        <Properties CredentialType="GitLab" SettingName="GitLab Connection" SettingPurpose="provide credentials, group name, and repository name to connect to GitLab.com, or a custom URL to connect to a private GitLab server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting Assembly="BuildMaster">
        <Properties PipelineName="Release" SettingPurpose="get source by configured branch, build and test artifacts, deploy to a series of targets on-demand or automatically once approvals are received, and create a tag in the repository" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting Assembly="BuildMaster">
        <Properties ReleaseTemplateName="Default" SettingName="Variable Prompts" SettingPurpose="prompt for additional configuration such as a $Branch when creating BuildMaster builds or releases" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Build" SettingPurpose="get source code by branch from GitLab, run unit tests, and create artifacts" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Deploy" SettingPurpose="deploy artifacts to the targets configured in the pipeline" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Tag" SettingPurpose="add a tag to the commit" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.BuildTriggerSetting Assembly="BuildMaster">
        <Properties BuildTriggerName="GitLab" SettingPurpose="automatically trigger a build in the application when a commit gets pushed to a GitLab repository" />
      </Inedo.BuildMaster.SetupTemplates.Settings.BuildTriggerSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.IssueSourceSetting Assembly="BuildMaster">
        <Properties IssueSourceName="*" SettingPurpose="synchronize issues associated with the release, either from GitLab or another source" />
      </Inedo.BuildMaster.SetupTemplates.Settings.IssueSourceSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ConfigurationFileSetting Assembly="BuildMaster">
        <Properties ConfigurationFileName="*" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ConfigurationFileSetting>
    </Settings>
  </Properties>
</Inedo.BuildMaster.SetupTemplates.SetupTemplate>' AS XML)
)

INSERT INTO [SetupTemplates] ([SetupTemplate_Name], [Active_Indicator], [SetupTemplate_Configuration])
VALUES (
	'Inedo.TeamCity',
	'Y',
	CAST('<Inedo.BuildMaster.SetupTemplates.SetupTemplate Assembly="BuildMaster">
  <Properties Title="TeamCity Build Importer" Description="This Inedo-developed template provides you with quick access to recommended settings for importing TeamCity builds into BuildMaster applications." NextStepsTitle="Import your first TeamCity Build">
    <RequiredExtensions>
      <Item>TeamCity</Item>
    </RequiredExtensions>
    <Configuration>
      <Inedo.BuildMaster.SetupTemplates.ApplicationConfigurationTemplate Assembly="BuildMaster">
        <Properties DisplayIssues="False" />
      </Inedo.BuildMaster.SetupTemplates.ApplicationConfigurationTemplate>
    </Configuration>
    <Settings>
      <Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting Assembly="BuildMaster">
        <Properties CredentialType="TeamCity" CredentialName="TeamCity" SettingName="TeamCity Server" SettingPurpose="provide credentials and the URL to connect to a TeamCity server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting Assembly="BuildMaster">
        <Properties VariableName="TeamCityProjectName" SettingName="Project Name" SettingPurpose="determine which project to import artifacts from" />
      </Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting Assembly="BuildMaster">
        <Properties VariableName="TeamCityBuildConfiguration" SettingName="Build Configuration" SettingPurpose="determine which build configuration to use when importing" />
      </Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting Assembly="BuildMaster">
	<Properties PipelineName="Release" SettingPurpose="import artifacts from the configured TeamCity server, then deploy to a series of targets on-demand or automatically once approvals are received" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting Assembly="BuildMaster">
        <Properties ReleaseTemplateName="Default" SettingName="Variable Prompts" SettingPurpose="prompt for additional configuration, such as a TeamCity build number when creating BuildMaster builds or releases" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Import" SettingPurpose="import artifacts from the configured TeamCity server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Deploy" SettingPurpose="deploy artifacts to the targets configured in the pipeline" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
    </Settings>
  </Properties>
</Inedo.BuildMaster.SetupTemplates.SetupTemplate>' AS XML)
)

INSERT INTO [SetupTemplates] ([SetupTemplate_Name], [Active_Indicator], [SetupTemplate_Configuration])
VALUES (
	'Inedo.Jenkins',
	'Y',
	CAST('<Inedo.BuildMaster.SetupTemplates.SetupTemplate Assembly="BuildMaster">
  <Properties Title="Jenkins Build Importer" Description="This Inedo-developed template provides you with quick access to recommended settings for importing Jenkins builds into BuildMaster applications." NextStepsTitle="Import your first Jenkins Build">
    <RequiredExtensions>
      <Item>Jenkins</Item>
    </RequiredExtensions>
    <Configuration>
      <Inedo.BuildMaster.SetupTemplates.ApplicationConfigurationTemplate Assembly="BuildMaster">
        <Properties DisplayIssues="False" />
      </Inedo.BuildMaster.SetupTemplates.ApplicationConfigurationTemplate>
    </Configuration>
    <Settings>
      <Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting Assembly="BuildMaster">
        <Properties CredentialType="Jenkins" CredentialName="Jenkins" SettingName="Jenkins Server" SettingPurpose="provide credentials and the URL to connect to a Jenkins server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.CredentialSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting Assembly="BuildMaster">
        <Properties VariableName="JenkinsJobName" SettingName="Job Name" SettingPurpose="determine which project to import artifacts from" />
      </Inedo.BuildMaster.SetupTemplates.Settings.VariableSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting Assembly="BuildMaster">
        <Properties PipelineName="Release" SettingPurpose="import artifacts from the configured Jenkins server, then deploy to a series of targets on-demand or automatically once approvals are received" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PipelineSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting Assembly="BuildMaster">
        <Properties ReleaseTemplateName="Default" SettingName="Variable Prompts" SettingPurpose="prompt for additional configuration, such as a Jenkins build number when creating BuildMaster builds or releases" />
      </Inedo.BuildMaster.SetupTemplates.Settings.ReleaseTemplateSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Import" SettingPurpose="import artifacts from the configured Jenkins server" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
      <Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting Assembly="BuildMaster">
        <Properties PlanName="Deploy" SettingPurpose="deploy artifacts to the targets configured in the pipeline" />
      </Inedo.BuildMaster.SetupTemplates.Settings.PlanSetting>
    </Settings>
  </Properties>
</Inedo.BuildMaster.SetupTemplates.SetupTemplate>' AS XML)
)