--AH:ScriptId=4C3F1E90-DA7A-4FA4-811E-343B79EE9257

CREATE TABLE [Rafts]
(
	[Raft_Id] INT IDENTITY(1, 1) NOT NULL,
	[Raft_Name] VARCHAR(100) NOT NULL,
	[Environment_Id] INT NULL,
	[Raft_Configuration] XML NULL,

	CONSTRAINT [PK__Rafts]
		PRIMARY KEY ([Raft_Id]),

	CONSTRAINT [UQ__Rafts]
		UNIQUE ([Raft_Name]),

	CONSTRAINT [FK__Rafts__Environments]
		FOREIGN KEY ([Environment_Id])
		REFERENCES [Environments] ([Environment_Id])
		ON DELETE SET NULL
)

CREATE TABLE [RaftItems]
(
	[RaftItem_Id] INT IDENTITY(1, 1) NOT NULL,
	[Raft_Id] INT NOT NULL,
	[Application_Id] INT NULL,
	[RaftItemType_Code] INT NOT NULL,
	[RaftItem_Name] VARCHAR(255) NOT NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__RaftItems]
		PRIMARY KEY ([RaftItem_Id]),

	CONSTRAINT [FK__RaftItems__Rafts]
		FOREIGN KEY ([Raft_Id])
		REFERENCES [Rafts] ([Raft_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__RaftItems__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id])
		ON DELETE CASCADE
)

CREATE UNIQUE INDEX [UQ__RaftItems]
	ON [RaftItems] ([Raft_Id], [Application_Id], [RaftItemType_Code], [RaftItem_Name])
	INCLUDE ([Active_Indicator])

CREATE TABLE [RaftItemVersions]
(
	[RaftItem_Id] INT NOT NULL,
	[RaftItemVersion_Number] INT NOT NULL,
	[ModifiedOn_Date] DATETIMEOFFSET NOT NULL,
	[ModifiedBy_User_Name] USERNAME NOT NULL,
	[Content_Bytes] VARBINARY(MAX) NOT NULL,

	CONSTRAINT [PK__RaftItemVersions]
		PRIMARY KEY ([RaftItem_Id], [RaftItemVersion_Number]),

	CONSTRAINT [FK__RaftItemVersions__RaftItems]
		FOREIGN KEY ([RaftItem_Id])
		REFERENCES [RaftItems] ([RaftItem_Id])
		ON DELETE CASCADE
)
