EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetAccessLogs',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ApiKeyAccessLogs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all API access logs.'
GO

IF OBJECT_ID('[ApiKeys_GetAccessLogs]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetAccessLogs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetAccessLogs]
(
    @ApiKey_Id INT,
    @Log_Count INT
)
AS
BEGIN

	SET NOCOUNT ON

    IF @Log_Count IS NOT NULL
        SET ROWCOUNT @Log_Count

    DECLARE @ApiKey_Text VARCHAR(50)
    SELECT @ApiKey_Text = [ApiKey_Text] 
      FROM [ApiKeys] 
     WHERE [ApiKey_Id] = @ApiKey_Id

	SELECT * FROM [ApiKeyAccessLogs]
     WHERE @ApiKey_Text IS NULL OR [ApiKey_Text] = @ApiKey_Text
     ORDER BY [ApiKeyAccessLog_Id] DESC

END
GO

GRANT EXECUTE ON [ApiKeys_GetAccessLogs] TO [BuildMasterUser_Role]