EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetSpecifiedApplications',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Applications_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets only the active applications in the specified CSV string.'
GO


IF OBJECT_ID('[Applications_GetSpecifiedApplications]') IS NOT NULL DROP PROCEDURE [Applications_GetSpecifiedApplications]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetSpecifiedApplications]
(
    @ApplicationIds_Csv VARCHAR(MAX)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [Applications_Slim] A
    INNER JOIN dbo.CsvToTable(@ApplicationIds_Csv, ',') CSV 
            ON CAST(CSV.[Value_Text] AS INT) = A.[Application_Id]
     WHERE A.[Active_Indicator] = 'Y'
	ORDER BY [Application_Name]

END
GO

GRANT EXECUTE ON [Applications_GetSpecifiedApplications] TO [BuildMasterUser_Role]
