EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_ReactivateApplication',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Reactivates an application that has been deactivated.'
GO

IF OBJECT_ID('[Applications_ReactivateApplication]') IS NOT NULL
	DROP PROCEDURE [Applications_ReactivateApplication]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_ReactivateApplication]
(
	@Application_Id INT
) 
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Applications]
	   SET [Active_Indicator] = 'Y'
	 WHERE [Application_Id] = @Application_Id

	/* Raise Event */
	EXEC [Events_RaiseEvent] 'APPMOD',@Application_Id


	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Applications_ReactivateApplication] TO [BuildMasterUser_Role]