EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetTestGroupResultsForBuild',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_TestGroupResults',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the unit test results for the specified build.'
GO


IF OBJECT_ID('[BuildTestResults_GetTestGroupResultsForBuild]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetTestGroupResultsForBuild]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetTestGroupResultsForBuild]
(
	@Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT *
      FROM [BuildTestResults_TestGroupResults] TGR
	 WHERE [Build_Id] = @Build_Id
     ORDER BY [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [BuildTestResults_GetTestGroupResultsForBuild] TO [BuildMasterUser_Role]