EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetTestHistory',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets this history of a test by its name, and optionally filtered by test group and application.'
GO


IF OBJECT_ID('[BuildTestResults_GetTestHistory]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetTestHistory]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetTestHistory]
(
	@Test_Name VARCHAR(255),
	@Group_Name VARCHAR(50),
	@Application_Id INT,
	@TestStatus_Code CHAR(1),
	@Row_Count INT
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Row_Count IS NOT NULL
		SET ROWCOUNT @Row_Count

	SELECT *
	  FROM [BuildTestResults_Extended]
	 WHERE (@Group_Name IS NULL OR [Group_Name] = @Group_Name)
	   AND (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@TestStatus_Code IS NULL OR [TestStatus_Code] = @TestStatus_Code)
	   AND (@Test_Name = [Test_Name])
	 ORDER BY [Application_Name], [Group_Name], [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [BuildTestResults_GetTestHistory] TO [BuildMasterUser_Role]
