EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuildsForRelease',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Builds_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details for all builds that belong to the specified release.'
GO

IF OBJECT_ID('[Builds_GetBuildsForRelease]') IS NOT NULL DROP PROCEDURE [Builds_GetBuildsForRelease]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuildsForRelease]
(
	@Release_Id INT,
	@BuildStatus_Name VARCHAR(8) = NULL,
	@Build_Count INT = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	IF (@Build_Count IS NOT NULL AND @Build_Count > 0)
	BEGIN
		SET ROWCOUNT @Build_Count
	END

	SELECT *
	  FROM [Builds_Extended]
	 WHERE [Release_Id] = @Release_Id
	   AND (@BuildStatus_Name IS NULL OR [BuildStatus_Name] = @BuildStatus_Name)
	  ORDER BY [Release_Sequence] DESC, [Build_Sequence] DESC, [CreatedOn_Date] DESC

END
GO

GRANT EXECUTE ON [Builds_GetBuildsForRelease] TO [BuildMasterUser_Role]