EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetStageTargetExecutions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PipelineStageTargetExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the build executions for the specified build.'
GO

IF OBJECT_ID('[Builds_GetStageTargetExecutions]') IS NOT NULL DROP PROCEDURE [Builds_GetStageTargetExecutions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetStageTargetExecutions]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER,
	@Build_Id INT,
	@PipelineStage_Name VARCHAR(50) = NULL,
	@Execution_Count INT = NULL,
	@ExecutionStatus_Code CHAR(1) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF NULLIF(@Execution_Count, 0) IS NOT NULL
		SET ROWCOUNT @Execution_Count

	IF @Build_Id IS NULL
		SELECT *
		  FROM [PipelineStageTargetExecutions_Extended]
		 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
		   AND (@Release_Number IS NULL OR @Release_Number = [Release_Number])
		   AND (@Build_Number IS NULL OR @Build_Number = [Build_Number])
		   AND (@PipelineStage_Name IS NULL OR @PipelineStage_Name = [PipelineStage_Name])
		   AND (@ExecutionStatus_Code IS NULL OR @ExecutionStatus_Code = [ExecutionStatus_Code])
		 ORDER BY [ExecutionStart_Date] DESC
	ELSE
		SELECT *
		  FROM [PipelineStageTargetExecutions_Extended]
		 WHERE ([Build_Id] = @Build_Id)
		   AND (@PipelineStage_Name IS NULL OR @PipelineStage_Name = [PipelineStage_Name])
		   AND (@ExecutionStatus_Code IS NULL OR @ExecutionStatus_Code = [ExecutionStatus_Code])
		 ORDER BY [ExecutionStart_Date] DESC

END
GO

GRANT EXECUTE ON [Builds_GetStageTargetExecutions] TO [BuildMasterUser_Role]
