EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRoleServers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoleServers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the server role servers for a specific role, or all the roles in the system.'
GO


IF OBJECT_ID('[ServerRoles_GetServerRoleServers]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRoleServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRoleServers]
(
    @ServerRole_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [ServerRoleServers]
     WHERE @ServerRole_Id IS NULL OR [ServerRole_Id] = @ServerRole_Id

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRoleServers] TO [BuildMasterUser_Role]