EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_SearchGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Groups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a specific group by name, or if a wildcard search is performed, a group whose name starts with the specified name'
GO

IF OBJECT_ID('[dbo].[Users_SearchGroups]') IS NOT NULL
	DROP PROCEDURE [dbo].[Users_SearchGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[Users_SearchGroups]
(
    @Group_Name VARCHAR(50),
    @PerformWildcardSearch_Indicator YNINDICATOR
)
AS
BEGIN

	SET NOCOUNT ON
    
    IF (@PerformWildcardSearch_Indicator = 'Y')
    BEGIN
    
        SELECT *
          FROM [Groups]
         WHERE [Group_Name] LIKE @Group_Name + '%'
      ORDER BY [Group_Name]
        
    END
    ELSE
    BEGIN
	
	    SELECT *
	      FROM [Groups]
	     WHERE [Group_Name] = @Group_Name
	  ORDER BY [Group_Name]
	
	END

END
GO

GRANT EXECUTE ON [dbo].[Users_SearchGroups] TO [BuildMasterUser_Role]
GO
